Notification

Duet AI is now Gemini for Google Workspace. Learn more

Desk phone requirements for Voice

Supported subscriptions for this feature: Voice Standard and Voice Premier. Compare your subscription

Set up desk phones to use with Google Voice in your organization. That way, your users can make and receive calls over the internet, instead of over dedicated telephone lines.

  • When you set up a phone to use Google Voice, it can't use any other service provider. Also, any existing lines and numbers on the device are removed.
  • Provide power to the phone through a separate power adapter or a Power over Ethernet (PoE) cable.
  • Connect the phone to the internet.
  • Assign a Voice license and number for each user that you want to assign a phone to. For details, go to Assign Voice licenses to users.
  • Find the Media Access Control (MAC) address of the phone. It's printed on the back of the phone or shown in the settings panel on the phone and you’ll need it for setup. For Poly VVX OBi Edition phones, you can use the serial number as the MAC address. The only number on the back of a VVX phone is the serial number. 
  • Make sure Poly's trusted IP addresses are allowed. If not, you need to add them to your allowlist. For a list of the trusted IP addresses, see Required Ports and Trusted IP Addresses and Hosts.

About supported devices and restrictions

Google Voice supports OBi Edition firmware only. When you purchase Poly desk phones to use with Google Voice, request OBi Edition firmware for the devices.

Supported desk phone models
Supported desk phone model Recommended firmware version Minimum required version
Poly ATA 400 and 402  4.0.1.6719 4.0.1.6719
Poly Edge B10, B20, and B30 1.0.2.5983 1.0.2.5983
Poly OBi 300 and 302 3.2.6.9350 3.2.6.9350
Poly VVX OBi Edition 150, 250, 350, and 450 6.4.5.10011 6.4.0.2

If you don't have one of these models or aren't sure, learn how to identify your model and convert to OBi Edition Software by contacting Poly support.

Device restrictions
  • Voicemail and contact directory are not supported on Poly devices.
  • OBiTALK devices only work with the consumer version of Voice. If you’re not sure what kind of account you’re using Voice with, go to About Google Voice account types
  • Google Voice for Google Workspace does not support Obihai phones used with the unmanaged version of Google Voice. You can't connect those phones to your work or school account.


Google, Google Workspace, and related marks and logos are trademarks of Google LLC. All other company and product names are trademarks of the companies with which they are associated.

Was this helpful?

How can we improve it?
Search
Clear search
Close search
Google apps
Main menu
17945686669998316856
true